PCOPChannel(3qt)

NAME
PCOPChannel - This class provides communication capabilities between several clients

SYNOPSIS

#include <qwsdisplay_qws.h>

  Public Members
PCOPChannel ( const QCString & channel )
virtual ~PCOPChannel ()
QCString channel () const
virtual void receive ( const QCString & msg, const QByteArray & data )

  Static Public Members
bool isRegistered ( const QCString & channel )
bool send ( const QCString & channel, const QCString & msg )
bool send ( const QCString & channel, const QCString & msg, const QByteArray & data )

DESCRIPTION
This class provides communication capabilities between several clients.

PCOP, the Palmtop COmmunication Protocol, allows clients to communicate inside of the same address space or between different processes.

PCOPChannel is an abstract base class. Important functions like send() and isRegistered() are static and therefore usable as is. In order to listen to the traffic on channel you have to subclass from PCOPChannel and provide an implementation for receive().

MEMBER FUNCTION DOCUMENTATION

PCOPChannel::PCOPChannel ( const QCString & channel )
Constructs a PCOP channel and registers it with the server under the name channel.

PCOPChannel::~PCOPChannel () [virtual]
Destructs the client's side end of the channel and notifies the server about the closing. The server itself keeps the channel open until the last registered client detaches.

QCString PCOPChannel::channel () const
Returns the name of the channel.

bool PCOPChannel::isRegistered ( const QCString & channel ) [static]
Queries the server for the existance of channel.

Returns TRUE if channel is registered.

void PCOPChannel::receive ( const QCString & msg, const QByteArray & data ) [virtual]
This abstract virtual function allows subclasses of PCOPChannel to process data received from their channel. Note that the format of data has to be well defined in order to demarshall the contained information.

See also send().

bool PCOPChannel::send ( const QCString & channel, const QCString & msg ) [static]
Send the message msg on channel. The message will be distributed to all clients subscribed to the channel.

See also receive().

bool PCOPChannel::send ( const QCString & channel, const QCString & msg, const QByteArray & data ) [static]
Same as above function except the additional data parameter. QDataStream provides a convenient way to fill the byte array with auxiliary data.

SEE ALSO
http://doc.trolltech.com/pcopchannel.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.